apiVersion: v1
kind: Pod
metadata:
  name: require-automount-satoken-good-1
spec:
  containers: 
  - name: require-automount-satoken-good-1
    image: kubernetes/pause
  serviceAccountName: build-robot
  automountServiceAccountToken: false
---
apiVersion: v1
kind: Pod
metadata:
  name: require-automount-satoken-good-2
spec:
  containers: 
  - name: require-automount-satoken-good-2
    image: kubernetes/pause
  serviceAccountName: build-robot
  automountServiceAccountToken: true
---
apiVersion: v1
kind: Pod
metadata:
  name: require-automount-satoken-bad-1
spec:
  containers: 
  - name: require-automount-satoken-bad-1
    image: kubernetes/pause
  serviceAccountName: build-robot
